Callbacks
Show a callback schema
Returns the schema for a specific callback definition.
GET
/
api
/
callback
/
schemas
/
{definition_name}
Show a callback schema
curl --request GET \
--url https://api.fluid.app/api/callback/schemas/{definition_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/callback/schemas/{definition_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/callback/schemas/{definition_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/callback/schemas/{definition_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/callback/schemas/{definition_name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/callback/schemas/{definition_name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/callback/schemas/{definition_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schema": {
"name": "cart_customer_attached",
"version": "1.0.0",
"schema_hash": "cart_customer_attached_v1",
"description": "Called when a customer is bound to a cart. Use this to perform customer-aware enrichment on the cart (loyalty discounts, eligibility checks, tier-based pricing) the moment the shopper becomes known.",
"request_schema": {
"type": "object",
"required": [
"cart",
"customer",
"context"
],
"properties": {
"cart": {
"type": "object"
},
"customer": {
"type": "object"
},
"context": {
"type": "object",
"required": [
"trigger_source",
"company_id"
],
"properties": {
"trigger_source": {
"type": "string"
},
"company_id": {
"type": "integer"
}
}
}
}
},
"response_schema": {
"type": "object",
"required": [
"success"
],
"properties": {
"success": {
"type": "boolean"
},
"message": {
"type": "string"
}
}
},
"example_response": {
"success": true,
"message": "Loyalty tier applied"
}
},
"meta": {
"request_id": "8f3c2b71-5d4e-4a9b-b6f0-1e7a9c3d2f58",
"timestamp": "2026-09-30T14:05:12Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}⌘I
Show a callback schema
curl --request GET \
--url https://api.fluid.app/api/callback/schemas/{definition_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/callback/schemas/{definition_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/callback/schemas/{definition_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/callback/schemas/{definition_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/callback/schemas/{definition_name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/callback/schemas/{definition_name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/callback/schemas/{definition_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schema": {
"name": "cart_customer_attached",
"version": "1.0.0",
"schema_hash": "cart_customer_attached_v1",
"description": "Called when a customer is bound to a cart. Use this to perform customer-aware enrichment on the cart (loyalty discounts, eligibility checks, tier-based pricing) the moment the shopper becomes known.",
"request_schema": {
"type": "object",
"required": [
"cart",
"customer",
"context"
],
"properties": {
"cart": {
"type": "object"
},
"customer": {
"type": "object"
},
"context": {
"type": "object",
"required": [
"trigger_source",
"company_id"
],
"properties": {
"trigger_source": {
"type": "string"
},
"company_id": {
"type": "integer"
}
}
}
}
},
"response_schema": {
"type": "object",
"required": [
"success"
],
"properties": {
"success": {
"type": "boolean"
},
"message": {
"type": "string"
}
}
},
"example_response": {
"success": true,
"message": "Loyalty tier applied"
}
},
"meta": {
"request_id": "8f3c2b71-5d4e-4a9b-b6f0-1e7a9c3d2f58",
"timestamp": "2026-09-30T14:05:12Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}